package com.quant.vo;

import java.sql.Timestamp;

public class OrderStatusVo {
	
	private Integer id;
	private Integer orderId;
	private Integer majorStatus;
	private Integer minorStatus;
	private Integer operateUid;
	private Integer customerAction;
	private Integer portalAction;
	private Integer managerAction;
	private String description;
	private Timestamp postTime;
	private String majorStatusName;
	private String minorStatusName;
	
	public Integer getId() {
		return id;
	}
	public void setId(Integer id) {
		this.id = id;
	}
	public Integer getOrderId() {
		return orderId;
	}
	public void setOrderId(Integer orderId) {
		this.orderId = orderId;
	}
	public Integer getMajorStatus() {
		return majorStatus;
	}
	public void setMajorStatus(Integer majorStatus) {
		this.majorStatus = majorStatus;
	}
	public Integer getMinorStatus() {
		return minorStatus;
	}
	public void setMinorStatus(Integer minorStatus) {
		this.minorStatus = minorStatus;
	}
	public Integer getOperateUid() {
		return operateUid;
	}
	public void setOperateUid(Integer operateUid) {
		this.operateUid = operateUid;
	}
	public Integer getCustomerAction() {
		return customerAction;
	}
	public void setCustomerAction(Integer customerAction) {
		this.customerAction = customerAction;
	}
	public Integer getPortalAction() {
		return portalAction;
	}
	public void setPortalAction(Integer portalAction) {
		this.portalAction = portalAction;
	}
	public Integer getManagerAction() {
		return managerAction;
	}
	public void setManagerAction(Integer managerAction) {
		this.managerAction = managerAction;
	}
	public String getDescription() {
		return description;
	}
	public void setDescription(String description) {
		this.description = description;
	}
	public Timestamp getPostTime() {
		return postTime;
	}
	public void setPostTime(Timestamp postTime) {
		this.postTime = postTime;
	}
	public String getMajorStatusName() {
		return majorStatusName;
	}
	public void setMajorStatusName(String majorStatusName) {
		this.majorStatusName = majorStatusName;
	}
	public String getMinorStatusName() {
		return minorStatusName;
	}
	public void setMinorStatusName(String minorStatusName) {
		this.minorStatusName = minorStatusName;
	}
	
	
}
